/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 *
 * Author: elefth, StandLove, TCSDEVELOPER, TCSDESIGNER
 * Version: 2.0
 */

using System.Web.UI.Design;

namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// Utility class used by Visual Studio.NET Designer to obtain a design-time HTML representation of the control.
    /// </summary>
    public class BreadCrumbTrailControlDesigner : ControlDesigner
    {
        /// <summary>
        /// The design time html to return, reflecting the default path separator character, but without most of the
        /// markup actually used, as that's really determined dynamically.
        /// </summary>
        private const string DESIGN_HTML = "Root<span>:</span>Level 1<span>:</span>Level 2";

        /// <summary>
        /// Called by VS.NET Designer to get the design-time HTML.
        /// </summary>
        /// <remarks>
        /// Returns a sample trail, such as &quot;Root : Level 1 : Level 2&quot;;
        /// in this version, the BreadCrumbControl property settings
        /// don't affect the sample HTML.
        /// </remarks>
        /// <returns>
        /// The HTML used to represent the control on the VS.NET Designer:
        /// <em>BreadCrumbControl</em>
        /// </returns>
        public override string GetDesignTimeHtml()
        {
            return DESIGN_HTML;
        }
    }
}
