/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER
 * Version: 2.0
 */

using NUnit.Framework;
using System;

namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// This class tests the two enumerations of this component, <see cref="ErrorDisposition"/> and
    /// <see cref="PathDirection"/>.
    /// </summary>
    [TestFixture]
    public class TestEnumerations
    {
        /// <summary>
        /// Tests <see cref="PathDirection"/>, verifying correct values.
        /// </summary>
        [Test]
        public void TestPathDirection()
        {
            Assert.AreEqual((PathDirection) 0, PathDirection.RootToCurrent,
                "The default direction is root to current.");
            Assert.AreEqual((PathDirection) 1, PathDirection.CurrentToRoot,
                "The other direction is current towards root.");
            Assert.AreEqual(2, Enum.GetValues(typeof(PathDirection)).Length,
                "Wrong number of path directions.");
        }

        /// <summary>
        /// Tests <see cref="ErrorDisposition"/>, verifying correct values.
        /// </summary>
        [Test]
        public void TestErrorDisposition()
        {
            Assert.AreEqual((ErrorDisposition) 0, ErrorDisposition.SilentlyIgnore,
                "The default error handling is ignorance.");
            Assert.AreEqual((ErrorDisposition) 1, ErrorDisposition.RenderException,
                "The other error handling is rendering.");
            Assert.AreEqual((ErrorDisposition) 2, ErrorDisposition.ThrowException,
                "The final option is throwing.");
            Assert.AreEqual(3, Enum.GetValues(typeof(ErrorDisposition)).Length,
                "Wrong number of error handling options.");
        }
    }
}
